Last-Modified: Fri, 24 Jan 2025 08:19:00 GMT
Expires: Mon, 22 Jan 2035 08:19:00 GMT

<!DOCTYPE html>
<html lang='en'>
<head>
<title>openwrt/upstream - upstream openwrt</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='index, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit.css'/>
<link rel='shortcut icon' href='/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='http://git.panaceas.org/cgit.cgi/openwrt/upstream/atom/package/libs/libusb-compat?h=v21.02.5' type='application/atom+xml'/>
<link rel='vcs-git' href='git://git.panaceas.org/openwrt/upstream' title='openwrt/upstream Git repository'/>
<link rel='vcs-git' href='ssh://git@git.panaceas.org/git/openwrt/upstream' title='openwrt/upstream Git repository'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/cgit.cgi/'><img src='/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/cgit.cgi/'>index</a> : <a title='openwrt/upstream' href='/cgit.cgi/openwrt/upstream/'>openwrt/upstream</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='2ec59c173f228911ed4038a757df1bad8147f6a5'/><select name='h' onchange='this.form.submit();'>
<option value='attitude_adjustment'>attitude_adjustment</option>
<option value='barrier_breaker'>barrier_breaker</option>
<option value='chaos_calmer'>chaos_calmer</option>
<option value='lede-17.01'>lede-17.01</option>
<option value='less-old-master'>less-old-master</option>
<option value='master'>master</option>
<option value='old-master'>old-master</option>
<option value='openwrt-18.06'>openwrt-18.06</option>
<option value='openwrt-19.07'>openwrt-19.07</option>
<option value='upstream'>upstream</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>upstream openwrt</td><td class='sub right'>James</td></tr></table>
<table class='tabs'><tr><td>
<a href='/cgit.cgi/openwrt/upstream/about/?h=v21.02.5'>about</a><a href='/cgit.cgi/openwrt/upstream/?h=v21.02.5'>summary</a><a href='/cgit.cgi/openwrt/upstream/refs/?h=v21.02.5&amp;id=2ec59c173f228911ed4038a757df1bad8147f6a5'>refs</a><a href='/cgit.cgi/openwrt/upstream/log/package/libs/libusb-compat?h=v21.02.5'>log</a><a href='/cgit.cgi/openwrt/upstream/tree/package/libs/libusb-compat?h=v21.02.5&amp;id=2ec59c173f228911ed4038a757df1bad8147f6a5'>tree</a><a class='active' href='/cgit.cgi/openwrt/upstream/commit/package/libs/libusb-compat?h=v21.02.5&amp;id=2ec59c173f228911ed4038a757df1bad8147f6a5'>commit</a><a href='/cgit.cgi/openwrt/upstream/diff/package/libs/libusb-compat?h=v21.02.5&amp;id=2ec59c173f228911ed4038a757df1bad8147f6a5'>diff</a><a href='/cgit.cgi/openwrt/upstream/stats/package/libs/libusb-compat?h=v21.02.5'>stats</a></td><td class='form'><form class='right' method='get' action='/cgit.cgi/openwrt/upstream/log/package/libs/libusb-compat'>
<input type='hidden' name='h' value='v21.02.5'/><input type='hidden' name='id' value='2ec59c173f228911ed4038a757df1bad8147f6a5'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/cgit.cgi/openwrt/upstream/commit/?h=v21.02.5&amp;id=2ec59c173f228911ed4038a757df1bad8147f6a5'>root</a>/<a href='/cgit.cgi/openwrt/upstream/commit/package?h=v21.02.5&amp;id=2ec59c173f228911ed4038a757df1bad8147f6a5'>package</a>/<a href='/cgit.cgi/openwrt/upstream/commit/package/libs?h=v21.02.5&amp;id=2ec59c173f228911ed4038a757df1bad8147f6a5'>libs</a>/<a href='/cgit.cgi/openwrt/upstream/commit/package/libs/libusb-compat?h=v21.02.5&amp;id=2ec59c173f228911ed4038a757df1bad8147f6a5'>libusb-compat</a></div><div class='content'><div class='cgit-panel'><b>diff options</b><form method='get'><input type='hidden' name='h' value='v21.02.5'/><input type='hidden' name='id' value='2ec59c173f228911ed4038a757df1bad8147f6a5'/><table><tr><td colspan='2'/></tr><tr><td class='label'>context:</td><td class='ctrl'><select name='context' onchange='this.form.submit();'><option value='1'>1</option><option value='2'>2</option><option value='3' selected='selected'>3</option><option value='4'>4</option><option value='5'>5</option><option value='6'>6</option><option value='7'>7</option><option value='8'>8</option><option value='9'>9</option><option value='10'>10</option><option value='15'>15</option><option value='20'>20</option><option value='25'>25</option><option value='30'>30</option><option value='35'>35</option><option value='40'>40</option></select></td></tr><tr><td class='label'>space:</td><td class='ctrl'><select name='ignorews' onchange='this.form.submit();'><option value='0' selected='selected'>include</option><option value='1'>ignore</option></select></td></tr><tr><td class='label'>mode:</td><td class='ctrl'><select name='dt' onchange='this.form.submit();'><option value='0' selected='selected'>unified</option><option value='1'>ssdiff</option><option value='2'>stat only</option></select></td></tr><tr><td/><td class='ctrl'><noscript><input type='submit' value='reload'/></noscript></td></tr></table></form></div><table summary='commit info' class='commit-info'>
<tr><th>author</th><td>Mathias Kresin &lt;dev@kresin.me&gt;</td><td class='right'>2019-01-27 14:05:38 +0100</td></tr>
<tr><th>committer</th><td>Mathias Kresin &lt;dev@kresin.me&gt;</td><td class='right'>2019-07-07 11:17:27 +0200</td></tr>
<tr><th>commit</th><td colspan='2' class='sha1'><a href='/cgit.cgi/openwrt/upstream/commit/package/libs/libusb-compat?h=v21.02.5&amp;id=2ec59c173f228911ed4038a757df1bad8147f6a5'>2ec59c173f228911ed4038a757df1bad8147f6a5</a> (<a href='/cgit.cgi/openwrt/upstream/patch/package/libs/libusb-compat?id=2ec59c173f228911ed4038a757df1bad8147f6a5'>patch</a>)</td></tr>
<tr><th>tree</th><td colspan='2' class='sha1'><a href='/cgit.cgi/openwrt/upstream/tree/?h=v21.02.5&amp;id=2ec59c173f228911ed4038a757df1bad8147f6a5'>03a66315e25b403ea1769834f7aeb61d13a5bb9c</a> /<a href='/cgit.cgi/openwrt/upstream/tree/package/libs/libusb-compat?h=v21.02.5&amp;id=2ec59c173f228911ed4038a757df1bad8147f6a5'>package/libs/libusb-compat</a></td></tr>
<tr><th>parent</th><td colspan='2' class='sha1'><a href='/cgit.cgi/openwrt/upstream/commit/package/libs/libusb-compat?h=v21.02.5&amp;id=7685ed59c53b3d4d410f990ba8164833278b9fa8'>7685ed59c53b3d4d410f990ba8164833278b9fa8</a> (<a href='/cgit.cgi/openwrt/upstream/diff/package/libs/libusb-compat?h=v21.02.5&amp;id=2ec59c173f228911ed4038a757df1bad8147f6a5&amp;id2=7685ed59c53b3d4d410f990ba8164833278b9fa8'>diff</a>)</td></tr><tr><th>download</th><td colspan='2' class='sha1'><a href='/cgit.cgi/openwrt/upstream/snapshot/upstream-2ec59c173f228911ed4038a757df1bad8147f6a5.tar.gz'>upstream-2ec59c173f228911ed4038a757df1bad8147f6a5.tar.gz</a><br/><a href='/cgit.cgi/openwrt/upstream/snapshot/upstream-2ec59c173f228911ed4038a757df1bad8147f6a5.tar.bz2'>upstream-2ec59c173f228911ed4038a757df1bad8147f6a5.tar.bz2</a><br/><a href='/cgit.cgi/openwrt/upstream/snapshot/upstream-2ec59c173f228911ed4038a757df1bad8147f6a5.zip'>upstream-2ec59c173f228911e<style>pre { line-height: 125%; margin: 0; }
td.linenos pre { color: #000000; background-color: #f0f0f0; padding: 0 5px 0 5px; }
span.linenos { color: #000000; background-color: #f0f0f0; padding: 0 5px 0 5px; }
td.linenos pre.special { color: #000000; background-color: #ffffc0; padding: 0 5px 0 5px; }
span.linenos.special { color: #000000; background-color: #ffffc0; padding: 0 5px 0 5px; }
.highlight .hll { background-color: #ffffcc }
.highlight { background: #ffffff; }
.highlight .c { color: #888888 } /* Comment */
.highlight .err { color: #a61717; background-color: #e3d2d2 } /* Error */
.highlight .k { color: #008800; font-weight: bold } /* Keyword */
.highlight .ch { color: #888888 } /* Comment.Hashbang */
.highlight .cm { color: #888888 } /* Comment.Multiline */
.highlight .cp { color: #cc0000; font-weight: bold } /* Comment.Preproc */
.highlight .cpf { color: #888888 } /* Comment.PreprocFile */
.highlight .c1 { color: #888888 } /* Comment.Single */
.highlight .cs { color: #cc0000; font-weight: bold; background-color: #fff0f0 } /* Comment.Special */
.highlight .gd { color: #000000; background-color: #ffdddd } /* Generic.Deleted */
.highlight .ge { font-style: italic } /* Generic.Emph */
.highlight .gr { color: #aa0000 } /* Generic.Error */
.highlight .gh { color: #333333 } /* Generic.Heading */
.highlight .gi { color: #000000; background-color: #ddffdd } /* Generic.Inserted */
.highlight .go { color: #888888 } /* Generic.Output */
.highlight .gp { color: #555555 } /* Generic.Prompt */
.highlight .gs { font-weight: bold } /* Generic.Strong */
.highlight .gu { color: #666666 } /* Generic.Subheading */
.highlight .gt { color: #aa0000 } /* Generic.Traceback */
.highlight .kc { color: #008800; font-weight: bold } /* Keyword.Constant */
.highlight .kd { color: #008800; font-weight: bold } /* Keyword.Declaration */
.highlight .kn { color: #008800; font-weight: bold } /* Keyword.Namespace */
.highlight .kp { color: #008800 } /* Keyword.Pseudo */
.highlight .kr { color: #008800; font-weight: bold } /* Keyword.Reserved */
.highlight .kt { color: #888888; font-weight: bold } /* Keyword.Type */
.highlight .m { color: #0000DD; font-weight: bold } /* Literal.Number */
.highlight .s { color: #dd2200; background-color: #fff0f0 } /* Literal.String */
.highlight .na { color: #336699 } /* Name.Attribute */
.highlight .nb { color: #003388 } /* Name.Builtin */
.highlight .nc { color: #bb0066; font-weight: bold } /* Name.Class */
.highlight .no { color: #003366; font-weight: bold } /* Name.Constant */
.highlight .nd { color: #555555 } /* Name.Decorator */
.highlight .ne { color: #bb0066; font-weight: bold } /* Name.Exception */
.highlight .nf { color: #0066bb; font-weight: bold } /* Name.Function */
.highlight .nl { color: #336699; font-style: italic } /* Name.Label */
.highlight .nn { color: #bb0066; font-weight: bold } /* Name.Namespace */
.highlight .py { color: #336699; font-weight: bold } /* Name.Property */
.highlight .nt { color: #bb0066; font-weight: bold } /* Name.Tag */
.highlight .nv { color: #336699 } /* Name.Variable */
.highlight .ow { color: #008800 } /* Operator.Word */
.highlight .w { color: #bbbbbb } /* Text.Whitespace */
.highlight .mb { color: #0000DD; font-weight: bold } /* Literal.Number.Bin */
.highlight .mf { color: #0000DD; font-weight: bold } /* Literal.Number.Float */
.highlight .mh { color: #0000DD; font-weight: bold } /* Literal.Number.Hex */
.highlight .mi { color: #0000DD; font-weight: bold } /* Literal.Number.Integer */
.highlight .mo { color: #0000DD; font-weight: bold } /* Literal.Number.Oct */
.highlight .sa { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Affix */
.highlight .sb { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Backtick */
.highlight .sc { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Char */
.highlight .dl { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Delimiter */
.highlight .sd { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Doc */
.highlight .s2 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Double */
.highlight .se { color: #0044dd; background-color: #fff0f0 } /* Literal.String.Escape */
.highlight .sh { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Heredoc */
.highlight .si { color: #3333bb; background-color: #fff0f0 } /* Literal.String.Interpol */
.highlight .sx { color: #22bb22; background-color: #f0fff0 } /* Literal.String.Other */
.highlight .sr { color: #008800; background-color: #fff0ff } /* Literal.String.Regex */
.highlight .s1 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Single */
.highlight .ss { color: #aa6600; background-color: #fff0f0 } /* Literal.String.Symbol */
.highlight .bp { color: #003388 } /* Name.Builtin.Pseudo */
.highlight .fm { color: #0066bb; font-weight: bold } /* Name.Function.Magic */
.highlight .vc { color: #336699 } /* Name.Variable.Class */
.highlight .vg { color: #dd7700 } /* Name.Variable.Global */
.highlight .vi { color: #3333bb } /* Name.Variable.Instance */
.highlight .vm { color: #336699 } /* Name.Variable.Magic */
.highlight .il { color: #0000DD; font-weight: bold } /* Literal.Number.Integer.Long */</style><div class="highlight"><pre><span></span><span class="c1"># Choose gcc version.</span>

<span class="k">choice</span>
	<span class="k">prompt</span> <span class="s2">&quot;GCC compiler Version&quot;</span> <span class="k">if</span> TOOLCHAINOPTS
	<span class="k">default</span> GCC_VERSION_4_4_7 <span class="k">if</span> GCC_DEFAULT_VERSION_4_4_7
	<span class="k">default</span> GCC_VERSION_4_6_LINARO
	<span class="k">help</span>
<span class="sd">	  Select the version of gcc you wish to use.</span>

<span class="sd">	config GCC_VERSION_4_4_7</span>
<span class="sd">		bool &quot;gcc 4.4.7&quot;</span>
<span class="sd">		depends (avr32 || ubicom32)</span>

<span class="sd">	config GCC_VERSION_4_6_2</span>
<span class="sd">		bool &quot;gcc 4.6.2&quot;</span>

<span class="sd">	config GCC_VERSION_4_7_0</span>
<span class="sd">		bool &quot;gcc 4.7.0&quot;</span>

<span class="sd">	config GCC_VERSION_4_5_LINARO</span>
<span class="sd">		bool &quot;gcc 4.5.x with Linaro enhancements&quot;</span>

<span class="sd">	config GCC_VERSION_4_6_LINARO</span>
<span class="sd">		bool &quot;gcc 4.6.x with Linaro enhancements&quot;</span>

<span class="sd">	config GCC_VERSION_4_7_LINARO</span>
<span class="sd">		bool &quot;gcc 4.7.x with Linaro enhancements&quot;</span>

<span class="sd">	config GCC_VERSION_LLVM</span>
<span class="sd">		bool &quot;llvm-gcc 4.2&quot;</span>
<span class="sd">		depends BROKEN</span>

<span class="k">endchoice</span>

<span class="k">config</span> GCC_USE_GRAPHITE
	<span class="nb">bool</span>
	<span class="k">prompt</span> <span class="s2">&quot;Compile in support for the new Graphite framework in GCC 4.4+&quot;</span> <span class="k">if</span> TOOLCHAINOPTS
	depends <span class="o">!</span>GCC_VERSION_LLVM

<span class="k">config</span> GCC_USE_SYSTEM_PPL_CLOOG
	<span class="nb">bool</span>
	<span class="k">prompt</span> <span class="s2">&quot;Use the system versions of PPL and CLooG&quot;</span>
	depends GCC_USE_GRAPHITE
	<span class="k">default</span> n

<span class="k">config</span> EXTRA_GCC_CONFIG_OPTIONS
	<span class="nb">string</span>
	<span class="k">prompt</span> <span class="s2">&quot;Additional gcc configure options&quot;</span> <span class="k">if</span> TOOLCHAINOPTS
	<span class="k">default</span> <span class="s2">&quot;&quot;</span>
	<span class="k">help</span>
<span class="sd">	    Any additional gcc options you may want to include....</span>

<span class="k">config</span> SSP_SUPPORT
	<span class="nb">bool</span>
	<span class="k">prompt</span> <span class="s2">&quot;Enable Stack-Smashing Protection support&quot;</span> <span class="k">if</span> TOOLCHAINOPTS
	<span class="k">default</span> n
	<span class="k">help</span>
<span class="sd">	    Enable Stack-Smashing Protection support</span>

<span class="k">config</span> TLS_SUPPORT
	<span class="nb">bool</span>
	<span class="k">prompt</span> <span class="s2">&quot;Enable Thread-local storage (TLS) support&quot;</span> <span class="k">if</span> TOOLCHAINOPTS
	<span class="k">default</span> n
	<span class="k">help</span>
<span class="sd">	    Enable Thread-local storage support</span>

<span class="k">config</span> SJLJ_EXCEPTIONS
	<span class="nb">bool</span>
	<span class="k">prompt</span> <span class="s2">&quot;Use setjump()/longjump() exceptions&quot;</span> <span class="k">if</span> TOOLCHAINOPTS
	<span class="k">default</span> n
	<span class="k">help</span>
<span class="sd">	    Use old setjump()/longjump() exceptions instead of the newer</span>
<span class="sd">	    frame unwinding exceptions handling routines.  Warning: increases</span>
<span class="sd">	    code size and runtime memory usage.</span>

<span class="k">config</span> INSTALL_LIBSTDCPP
	<span class="nb">bool</span>
	<span class="k">prompt</span> <span class="s2">&quot;Build/install c++ compiler and libstdc++?&quot;</span> <span class="k">if</span> TOOLCHAINOPTS
	<span class="k">default</span> y
	<span class="k">help</span>
<span class="sd">	    Build/install c++ compiler and libstdc++?</span>

<span class="k">config</span> INSTALL_LIBGCJ
	<span class="nb">bool</span>
	<span class="k">depends on</span> <span class="o">!</span>GCC_VERSION_LLVM
	<span class="k">prompt</span> <span class="s2">&quot;Build/install java compiler and GNU classpath ?&quot;</span> <span class="k">if</span> TOOLCHAINOPTS
	<span class="k">default</span> n
	<span class="k">help</span>
<span class="sd">	    Build/install java compiler and GNU classpath ?</span>


<span class="k">config</span> INSTALL_GFORTRAN
	<span class="nb">bool</span>
	<span class="k">prompt</span> <span class="s2">&quot;Build/install fortran compiler?&quot;</span> <span class="k">if</span> TOOLCHAINOPTS
	<span class="k">default</span> n
	<span class="k">help</span>
<span class="sd">	    Build/install GNU fortran compiler ?</span>
</pre></div>
</code></pre></td></tr></table>
</div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.zx2c4.com/cgit/about/'>cgit v1.2.3</a> (<a href='https://git-scm.com/'>git 2.25.1</a>) at 2025-01-24 08:19:00 +0000</div>
</div> <!-- id=cgit -->
</body>
</html>
